
# Supplementary materials of ReHeaRF

<br>



## Please watch our video demo located in 'video' folder.
### The video shows our dataset and results of ReHeaRF. 
### Our dataset will be opened in the future.



<br>


## Code of ReHeaRF : You can inference our ReHeaRF.
### Note:  We implement our ReHeaRF on K-Planes.
### Lisense of K-planes
> [Lisense Link](https://github.com/sarafridov/K-Planes/blob/main/LICENSE)

### Due to the limited memory size (100 MB), we are providing a download link for the pre-trained weights instead of directly uploading the pretrained models on OpenReview.
> [Google Drive Link : weights of the ReHeaRF and camera poses](https://drive.google.com/drive/folders/1vV6AsPIFN06FN7u0fq0uxxT5g3RXbmQJ?usp=sharing)
### Note: The google drive is made by an anonymous account. 

### The environment setting for our ReHeaRF is similar to the K-Planes.

### Before starting inference of our ReHeaRF, you should put in the downloaded files in each folder as follows:
```Supp_Rehearsal_NeRF
code
├── checkpoint
│   └── checkpoint.pth
├── poses
│   └── poses_bounds.npy
└── plenoxels
└── render.sh

``` 
### After that, you can render decoupled dynamic objects, dynamic lighting effects and static objects by running a shell script.
>  
> sh render.sh



<br>


## Please review the contracts in the 'instructions' folder. 
### The contracts are for performers who appear in our multi-view video dataset.